import xml.etree.cElementTree as et

print("Datum: 17. 11. 2020")
print("Vpisna številka: 00")
print("Priimek in ime: Dolenc Matevž")
print()

xml_tree = et.parse("potresi-opazovalnice-drzavna-mreza.xml")
xml_podatki = xml_tree.getroot()

xml_naslov = xml_podatki.find("naslov")
naslov = xml_naslov.text

print(naslov)

xml_opazovalnice = xml_podatki.find("opazovalnice")
xml_opazovalnice_seznam = xml_opazovalnice.findall("opazovalnica")

n = len(xml_opazovalnice_seznam)
naslovi = []
sirine = []
dolzine = []
visine = []

for xml_opazovalnica in xml_opazovalnice_seznam:
    o_naslov = xml_opazovalnica.get("naslov")
    o_sirina = xml_opazovalnica.find("sirina").text    
    o_dolzina = xml_opazovalnica.find("dolzina").text
    o_visina = float(xml_opazovalnica.find("visina").text)
    
    naslovi.append(o_naslov)
    sirine.append(o_sirina)
    dolzine.append(o_dolzina)
    visine.append(o_visina)
    
# Izpis podatkov na zaslov v obliki tabele

print(f"{'naslov':30} {'širina':10} {'dolžina':10} {'višina':10}")
print("-" * 63)
for i in range(n):
    print(f"{naslovi[i]:30} {sirine[i]:10} {dolzine[i]:10} {visine[i]:10.2f}")
    
# Izračuni
print()
min_visina = min(visine)
print(f"Minimalna višina: {min_visina:.2f}")
max_visina = max(visine)
print(f"Maksimalna višina: {max_visina:.2f}")
povp_visina = sum(visine) / n
print(f"Povprečna višina: {povp_visina:.2f}")

# Izpis v XML datoteko
xml_tocke = et.Element("tocke")

for i in range(n):
    xml_tocka = et.SubElement(xml_tocke, "tocka")
    
    xml_tocka.set("naslov", naslovi[i])
    xml_tocka.set("zem_dolzina", dolzine[i])
    xml_tocka.set("zem_sirina", sirine[i])

xml_tree = et.ElementTree(xml_tocke)
xml_tree.write("tocke.xml", encoding='utf-8', xml_declaration=True)









